Go to the latest version of this document.

# ``twisted`.`conch`.`client`.`direct``

module documentation
(source)

Undocumented

Class | `SSHClientFactory` | Undocumented
Class | `SSHClientTransport` | Undocumented
Function | `connect` | Undocumented
Type Alias | `_VHK` | Undocumented

def connect(host: `str`, port: `int`, options: `ConchOptions`, verifyHostKey: `_VHK`, userAuthObject: `SSHUserAuthClient`) -> `Deferred[None]`: (source)

Undocumented

_VHK = (source)

Undocumented

Value

    Callable[[SSHClientTransport, bytes, bytes, str], Deferred[bool]]